Activity for Eclipse Tomcat Plugin

  • Eclipse Tomcat Plugin released /updatesite/features/net.sf.eclipse.tomcat.feature_9.1.3.jar

  • Eclipse Tomcat Plugin released /updatesite/plugins/net.sf.eclipse.tomcat_9.1.3.jar

  • Eclipse Tomcat Plugin released /net.sf.eclipse.tomcat.updatesite-2018-03-08.zip

  • Hendrik Brummermann Hendrik Brummermann modified ticket #40

    Tomcat with Java 9 does not start

  • Hendrik Brummermann Hendrik Brummermann posted a comment on ticket #40

    Ooops, I used an old beta version of Java 9. It works with Java 9.0.4.

  • Hendrik Brummermann Hendrik Brummermann modified ticket #40

    Tomcat with Java 9 does not start

  • Hendrik Brummermann Hendrik Brummermann posted a comment on ticket #40

    Unfortuneteally, there is a different error message now: Unrecognized option: --add-opens=java.base/java.lang=ALL-UNNAMED Error: Could not create the Java Virtual Machine. Error: A fatal exception has occurred. Program will exit.

  • Hendrik Brummermann committed [dfc408]

    do not force endorsed directory as it is incompatible with Java 9 (#35)

  • Hendrik Brummermann Hendrik Brummermann modified ticket #39

    cannot install tomcat eclipse plugin 9.1.2

  • Hendrik Brummermann Hendrik Brummermann posted a comment on ticket #39

    The update site was moved to http://devtools.his.de/tomcatplugin/updatesite/ and the market place link was updated.

  • Hendrik Brummermann Hendrik Brummermann committed [03bf01]

    When projects are added to tomcat's classpath, ignore servlet-api et al

  • Hendrik Brummermann Hendrik Brummermann committed [e5d14d]

    exclude .git directories (#23, PR #8)

  • Hendrik Brummermann Hendrik Brummermann modified ticket #15

    Link Tomcat with Java

  • Hendrik Brummermann Hendrik Brummermann modified ticket #23

    git

  • Hendrik Brummermann Hendrik Brummermann posted a comment on ticket #23

    Fix has been punshed to git and will be part of the next release

  • Hendrik Brummermann Hendrik Brummermann modified ticket #26

    Eclipse tomcatplugin error

  • Hendrik Brummermann Hendrik Brummermann posted a comment on ticket #26

    The updatesite was moved to https://devtools.his.de/tomcatplugin/updatesite/ and the market place link was updated.

  • MarkusK MarkusK modified ticket #40

    Tomcat with Java 9 does not start

  • MarkusK MarkusK posted a comment on ticket #40

    Patch content will be available in next release. Thank you for your contribution!

  • Georg Nepp Georg Nepp created ticket #40

    Tomcat with Java 9 does not start

  • Ludji ATHENES Ludji ATHENES posted a comment on ticket #35

    Let me know if there is a solution for java 9 for the plugin. I(ve got the same problem with Apache Tomcat 9.0. I'm going to try with Java 8.

  • manfromeast manfromeast posted a comment on ticket #26

    it works for me, thank you, Yuval Barness, I user spring tool with jdk1.8, when I install tomcat plugin, it will popup can not connect the repository, I have replace local_policy.jar and US_export_policy.jar which under %JAVA_HOME%\jre\lib\security, restart spring tools reinstall tomcat plugin successfully.

  • Ji Song Ji Song created ticket #39

    cannot install tomcat eclipse plugin 9.1.2

  • Tilman Neumann Tilman Neumann modified ticket #34

    Cannot start Tomcat

  • Tilman Neumann Tilman Neumann posted a comment on ticket #34

    Fine. Ticket closed.

  • Marc Schipperheyn Marc Schipperheyn posted a comment on ticket #38

    One of the problems I had was also that the project/tomcat/application root subdirectory was not saved, and I edited that manually in the context file. I do not have Automatically compute checked, but instead have checked the wanted projects checked individually. Sounds almost like there is a rights issue with regards to some files.

  • paul stanton paul stanton posted a comment on ticket #35

    is there a step by step installation instruction? I only found out by trawling these issues that i still needed to put devloader.jar in tomcat .. i was assuming the new version did everything for me since there are no instructions on the market place page!

  • paul stanton paul stanton posted a comment on ticket #36

    i can get everything working if i edit context.xml and .tomcatplugin files directly (using an old workspace as a template) so my problem is just that whatever i enter in the UI is being ignored.

  • paul stanton paul stanton posted a comment on ticket #38

    i can get everything working if i edit context.xml and .tomcatplugin files directly (using an old workspace as a template) so my problem is just that whatever i enter in the UI is being ignored.

  • paul stanton paul stanton posted a comment on ticket #38

    Marc, this sounds exactly like what i am experiencing. how did you solve it? under "preferences>tomcat>source path" i have "automatically compute" and if i uncheck it and close, it gets rechecked automatically.

  • Marc Schipperheyn Marc Schipperheyn posted a comment on ticket #38

    Ok, solved it. Turns out I had misconfigured Tomcat trying to fix another issue by Turning on Add Java pojects to Tomcat Classpath for one of the projects.

  • Marc Schipperheyn Marc Schipperheyn posted a comment on ticket #38

    So, if I really quickly start Tomcat right after Eclipse launches it works. But if I wait for 5 seconds after that it will not. Nor will it restart, both with the error above.

  • Marc Schipperheyn Marc Schipperheyn created ticket #38

    java.lang.ClassNotFoundException: org.apache.catalina.loader.DevLoader on second start

  • paul stanton paul stanton created ticket #37

    "update context" keeps adding "devloader" to xml

  • paul stanton paul stanton posted a comment on ticket #36

    for eg the docBase is the project root dir, however the webapp exists under [project]/src/main/webapp. "apply and close" creates an incorrect context.xml and returning to the properties page shows a blank input field.

  • paul stanton paul stanton created ticket #36

    project "application root" does not persist

  • paul stanton paul stanton posted a comment on ticket #35

    this issue should be retitled - does not support Java 9. Installing and running with Java 8 solved it for me. it would be good if some compatability details/versions were in the readme. cheers.

  • paul stanton paul stanton posted a comment on ticket #35

    the folder/file C:\programs\apache-tomcat-8.5.23-win64\endorsed does not even exist! is the plugin creating the system property behind the scenes?

  • paul stanton paul stanton posted a comment on ticket #35

    https://bugs.eclipse.org/bugs/show_bug.cgi?id=507338 looks like a very similar problem.

  • paul stanton paul stanton posted a comment on ticket #35

    Eclipse Tomcat management feature v 9.1.2 Jdk 9.0.1 eclipse Oxygen.1a Release (4.7.1a)

  • paul stanton paul stanton created ticket #35

    can't run tomcat - could not create jvm

  • Brian Wood Brian Wood posted a comment on ticket #34

    Finally found the DMG file for download - bypassing the installer applicaiton. Installed Oxygen 1a (4.7.1a), and installed the plugin, and it works.

  • Brian Wood Brian Wood posted a comment on ticket #34

    I have 4.7.0. check for updates fails with proxy authentication required - but my proxy settings are correct.

  • Tilman Neumann Tilman Neumann posted a comment on ticket #34

    On http://www.eclipse.org/downloads/eclipse-packages/ they say that the installer will install Eclipse Oxygen.1a (4.7.1a). And if you have an older Eclipse Oxygen installed, you should be able to update it via Help > Check for updates, I think?

  • Brian Wood Brian Wood posted a comment on ticket #34

    Yes, as I indicated, I am using Oxygen. I am on Java 8. How can you know what version you are installing? I cannot update - I am forced to use the new Eclipse installer - I opened another bug with that. Why can't you just download versions of Eclipse anymore? They have this fancy installer which doesn't work.

  • Tilman Neumann Tilman Neumann posted a comment on ticket #34

    Hi Brian, I ggogled the error and found https://bugs.eclipse.org/bugs/show_bug.cgi?id=520672 and https://bugs.eclipse.org/bugs/show_bug.cgi?id=519984. Are you using Exclipse Oxygen and/or Java 9 ? Then an update to Oxygen.1a might solve the issue.

  • Brian Wood Brian Wood created ticket #34

    Cannot start Tomcat

  • Steven Lee Steven Lee posted a comment on ticket #24

    I get the same issue in Oxygen Release (4.7.0) Build id: 20170620-1800 Changes to webapplication root (optional) and web applciation work (optional) are reset to "blank" and "work" respectively. Also, everytime I click apply a new "Loader" tag gets added to the context xml file. <Loader className="org.apache.catalina.loader.DevLoader" reloadable="true" debug="1" useSystemClassLoaderAsParent="false"/>

  • PMcL PMcL modified ticket #28

    あああ

  • PMcL PMcL posted a comment on ticket #28

    Nothing to do here.

  • PMcL PMcL modified ticket #29

    Unable to read repository

  • PMcL PMcL posted a comment on ticket #29

    Duplicate of #26

  • PMcL PMcL posted a comment on ticket #30

    Nothing to do here.

  • PMcL PMcL modified ticket #30

    tomcat

  • PMcL PMcL posted a comment on ticket #31

    Nothing to do here.

  • PMcL PMcL modified ticket #31

    Tomcat

  • PMcL PMcL posted a comment on ticket #32

    Duplicate of #26

  • PMcL PMcL modified ticket #32

    Can't install the plugin

  • PMcL PMcL posted a comment on ticket #26

    I finally managed to get the plugin installed using https://raw.githubusercontent.com/his-eg/tomcatplugin/master/net.sf.eclipse.tomcat.updatesite/ as updatesite. This should give me the lastest (unstable) version of the plugin, and should at least keep track of updates. Don't know, if this is could be a proper solution...

  • Tilman Neumann Tilman Neumann posted a comment on ticket #26

    Hi Eric, are you sure that your Eclipse is started with that JDK? Please check that in installation details.

  • Eric Eric posted a comment on ticket #26

    I'm using Neon. Updated my JDK to 1.8.0_131 ... and I tried the security update listed above. No joy. So tried downloading the zip & exploded it, then tried to manually import. Tried the content.jar, tried the artifacts.jar, then even tried the .zip file. Each time Eclipse came back and told me "Unable to read repository at ....!/content.xml" I'm dying here. Would someone tell SF & Tomcat to fix this issue.

  • Andriy Potapov Andriy Potapov modified a comment on ticket #24

    Same problem exists on Neon 4.6.3 and Mars 4.5.2 Version: Neon.3 Release (4.6.3) Build id: 20170314-1500 Version: Mars.2 Release (4.5.2) Build id: 20160218-0600 Tomcat 8.5.14 Tomcat Plugin 9.1.2 (DevLoaderTomcat85.jar) Windows 10 (build 10240) It seems that any UPDATE for a string properties from "Tomcat Project Panel->General Tab" being ignored. Applies to: webapplication root (optional), web applciation work (optional), context name. During CREATION only context name is actually used, the rest:...

  • Andriy Potapov Andriy Potapov posted a comment on ticket #24

    Same problem exists on Neon 4.6.3 and Mars 4.5.2 Version: Neon.3 Release (4.6.3) Build id: 20170314-1500 Version: Mars.2 Release (4.5.2) Build id: 20160218-0600 Tomcat 8.5.14 Tomcat Plugin 9.1.2 (DevLoaderTomcat85.jar) Windows 10 (build 10240) It seems that any UPDATE for a string properties from "Tomcat Project Panel->General Tab" being ignored. Applies to: webapplication root (optional), web applciation work (optional), context name. During CREATION only context name is actually used, the rest:...

  • Hendrik Brummermann Hendrik Brummermann posted a comment on ticket #33

    Hello Phil, that is an issue with the "Uqbar Tomcat XT", as indicated by the line "org.uqbar.eclipse.tomcat.xt" in the error report. You might want to contact them about the issue. Do you have both plugins installed? In this case, please deinstall one of them. Our plugin does support Neon.3: http://marketplace.eclipse.org/content/eclipse-tomcat-plugin

  • Hendrik Brummermann Hendrik Brummermann modified ticket #33

    Issue Configuring Latest Version of Eclipse Tomcat Plugin

  • Phil Hewitt Phil Hewitt created ticket #33

    Issue Configuring Latest Version of Eclipse Tomcat Plugin

  • Tilman Neumann Tilman Neumann posted a comment on ticket #32

    Hi Florian, this issue has been resolved here: https://sourceforge.net/p/tomcatplugin/tickets/26/#8db2

  • Florian Hirson Florian Hirson created ticket #32

    Can't install the plugin

  • kishan kishan created ticket #31

    Tomcat

  • Hajar Hajar created ticket #30

    tomcat

  • Tilman Neumann Tilman Neumann posted a comment on ticket #29

    Hi Matthias, this is a duplicate of ticket #26. See here for the solution: https...

  • Matthias Frenzel Matthias Frenzel created ticket #29

    Unable to read repository

  • michaelman michaelman posted a comment on ticket #26

    Tilman wrote: But you can always download the zipped updatesite Yes, and that's what...

  • Tilman Neumann Tilman Neumann posted a comment on ticket #26

    Just checked: "Let's Encrypt" certificates are accepted by Java 7 >= 7u111, too (see...

  • Tilman Neumann Tilman Neumann posted a comment on ticket #26

    Of course, some people won't be able to switch to a sufficiently recent Java version....

  • Yoichi Kato Yoichi Kato created ticket #28

    あああ

  • michaelman michaelman posted a comment on ticket #26

    Thank you, Tilman! I can finally check for updates of the Eclipse Tomcat Plugin again....

  • Tilman Neumann Tilman Neumann posted a comment on ticket #26

    This is one of two issues introduced by changes in SF's security management: It now...

  • Jaroslav Mazurak Jaroslav Mazurak posted a comment on ticket #26

    Works for me, thanks.

  • Yuval Barness Yuval Barness posted a comment on ticket #26

    after two days of struggling: http://www.oracle.com/technetwork/java/javase/downloads/jce8-download-2133166.html...

  • MarkusK MarkusK modified ticket #27

    Unable to install

  • MarkusK MarkusK posted a comment on ticket #27

    Duplicate of #26

  • Yuval Barness Yuval Barness posted a comment on ticket #27

    same here

  • mallikarjun mallikarjun created ticket #27

    Unable to install

  • michaelman michaelman posted a comment on ticket #26

    Same issue. Running Eclipse SDK Mars.2 (4.5.2) on Windows 10 Pro.

  • FengChih Hsu FengChih Hsu created ticket #26

    Eclipse tomcatplugin error

  • FengChih Hsu FengChih Hsu modified a comment on ticket #24

  • FengChih Hsu FengChih Hsu posted a comment on ticket #24

    eclipse error message: Unable to read repository at http://tomcatplugin.sf.net/update/content.xml....

  • Jochen Wiedmann Jochen Wiedmann created ticket #25

    "Tomcat project" entry missing in projecrts context menu

  • mhimuro mhimuro created ticket #24

    Tomcat plugin 9.1.2 don't update rootDir at Eclipse Neon

  • David Andersen David Andersen created ticket #23

    git

  • Marceau Dewilde Marceau Dewilde created ticket #22

    JVM parameter disappears on eclipse restart

  • MarkusK MarkusK modified ticket #21

    Reset Confirmation Dialog

  • MarkusK MarkusK posted a comment on ticket #21

    I think I understand your question but I am afraid I cannot be of too much help....

  • bonor11 bonor11 created ticket #21

    Reset Confirmation Dialog

  • GitHub committed [896d1a]

    Merge pull request #7 from christopheroger/master

  • Christophe Roger committed [5691ee]

    Fix encoding characters issue for french transl...

  • Prashanth Makam Prashanth Makam posted a comment on ticket #19

    I tried installing the plugin once more and I still get the same error message, Cannot...

  • Prashanth Makam Prashanth Makam posted a comment on ticket #19

    I am not sure if it installed correctly. Is there a way to find this out. I got multiple...

  • MarkusK MarkusK posted a comment on ticket #19

    So you have now successfully installed the Tomcat Plugin? If yes, I can close the...

1 >